package com.compdfkit.demo.viewer;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.widget.Toast;

import com.compdfkit.demo.viewer.databinding.ViewerActivityMainBinding;
import com.compdfkit.tools.task.CExtractAssetFileTask;

public class MainActivity extends AppCompatActivity {

    /**
     * assets folder pdf file
     */
    public static final String QUICK_START_GUIDE = "Quick Start Guide V2.4.0.pdf";

    private ViewerActivityMainBinding binding;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        binding = ViewerActivityMainBinding.inflate(getLayoutInflater());
        setContentView(binding.getRoot());
        initToolbarListener();
        CExtractAssetFileTask.extract(this, QUICK_START_GUIDE, QUICK_START_GUIDE, (pdfFile) ->
                runOnUiThread(() -> binding.pdfReaderView.openPdfFile(pdfFile.getAbsolutePath())));


    }


    private void initToolbarListener(){
        binding.pdfToolBar.setSearchBtnClickListener(v -> {
            Toast.makeText(this, "search", Toast.LENGTH_SHORT).show();
        });
        binding.pdfToolBar.setOutlineBtnClickListener(v -> {
            //open outline
            Toast.makeText(this, "outline", Toast.LENGTH_SHORT).show();

        });
        binding.pdfToolBar.setMoreBtnClickListener(v -> {

        });

    }

}